FLANG

Public Member Functions | Friends | List of all members
fir::ArrayBoxValue Class Reference

`#include <flang/Lower/Support/BoxValue.h>`

Inheritance diagram for fir::ArrayBoxValue:

## Public Member Functions
| ArrayBoxValue (mlir::Value addr, llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds={})
ArrayBoxValue | clone (mlir::Value newBase) const
LLVM_DUMP_METHOD void | dump () const
Public Member Functions inherited from fir::AbstractBox
| AbstractBox (mlir::Value addr)
mlir::Value | getAddr () const
Public Member Functions inherited from fir::AbstractArrayBox
| AbstractArrayBox (llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds)
const llvm::SmallVectorImpl< mlir::Value > & | getExtents () const
const llvm::SmallVectorImpl< mlir::Value > & | getLBounds () const
bool | lboundsAllOne () const

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ArrayBoxValue &)

## Additional Inherited Members
Protected Attributes inherited from fir::AbstractBox
mlir::Value | addr
Protected Attributes inherited from fir::AbstractArrayBox
llvm::SmallVector< mlir::Value, 4 > | extents
llvm::SmallVector< mlir::Value, 4 > | lbounds

## Detailed Description

Expressions with rank > 0 have extents. They may also have lbounds that are not 1.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h